Bug 125396 - Add redirect without a hostname
Add redirect without a hostname
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-06 04:52 EDT by Florian La Roche
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 16:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2004-06-06 04:52:28 EDT
Description of problem:
The standard mailman http config file suggests a redirect including
a hostname. Why not just include it without a host part?
(I added Joe Orton and Mark Cox on CC: in case they know a reason
why this is a bad idea.)

RedirectMatch ^/mailman[/]*$ /mailman/listinfo



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Dennis 2004-09-01 16:07:05 EDT
This is the documentation from Apache for Redirect
(http://httpd.apache.org/docs/mod/mod_alias.html)

The Redirect directive maps an old URL into a new one. The new URL is
returned to the client which attempts to fetch it again with the new
address.

The existing suggestion in the config file is this:

RedirectMatch ^/mailman[/]*$ http://www.example.com/mailman/listinfo

Unless I'm misunderstanding your suggestion of changing it to:

RedirectMatch ^/mailman[/]*$ /mailman/listinfo

I would think this would return a redirect to a client that is neither
a properly formed URL nor would it contain the server address
component of the URL which the client needs. Note this is not
redirected internally to the apache server.

Given this seems incorrect and that there is little value in
shortening something created once in a config file I think I'll pass
on this suggestion. If I've misunderstood your suggestion (entirely
likely) please reopen the bug with more explanation.


Note You need to log in before you can comment on or make changes to this bug.